﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : MonoBehaviour
{

    // Use PhotonInstance Prefab name.
    const string instancePrefabCatName = "Prefab/Cat";
    const string instancePrefabRabbitName = "Prefab/Rabbit";

    // Container instance PrefabName
    string[] instanceList = {
            "Prefab/Cat",
            "Prefab/Rabbit",
        };

    // Use manager Gamesystem
    [SerializeField]
    TimeManager timeManager;

    // Use this for Awake Process.
    void Awake()
    {

        // Registry instanceList to instance Prefab name.
        //instanceList[0] = instancePrefabRabbitName;
        //instanceList[1] = instancePrefabCatName;

    }

	// Use this for initialization.
	void Start ()
    {

        // Create instanceIndex
        var instanceIndex = (PlayerStatus.ID + TurnManager.CurrentTurn()) % PhotonServer.InRoomPlayerCount();

        // Create Sync Object
        GameObject player = PhotonNetwork.Instantiate(
            instanceList[instanceIndex],
            new Vector3(-100*instanceIndex*200, 0, 0),
            Quaternion.identity,
            0);
       

	}
	
	// Update is called once per frame.
	void Update () 
    {

        // For TimeUp process.
        if (timeManager.RemainingTimer() < 0)
        {
            Debug.Log("nextturn(before) :" + TurnManager.CurrentTurn());
            TurnManager.NextTurn();
            //PhotonServer.DisconnectInRoomAllClient();
        }
		
	}



}
