using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class TurnManager : MonoBehaviour 
{


    // Use current turn value.
    static int currentTurn;

    // Use max turn value.
    static int maxTurn;

    // Use round to next
    [SerializeField]
    RoundManager roundManager;
   


	// Use Turn next
	public static void NextTurn()
	{

		// count up turn.
        Debug.Log("turn(before) : "+currentTurn);
		currentTurn++;
        Debug.Log("turn(after) : " + currentTurn);

		// Switch Round process.
        if (currentTurn >= maxTurn)
        //if (currentTurn >= 1)
        {
            currentTurn = 0;
            RoundManager.NextRound();
        }
        else
        {
            if (PhotonServer.ConfirmServerActive())
            {
                Debug.Log("msg next turn");
                SceneManager.LoadScene("Game");
            }
        }

	}

	// Use Oter Object know current turn.
	public static int CurrentTurn()
	{

		return currentTurn;

	}

    // Use Max turn value.
    public static void SetMaxTurn( int value )
    {

        maxTurn = value;
        Debug.Log("room : " + PhotonServer.InRoomPlayerCount());
        Debug.Log("maxturn : " + maxTurn );

    }


}
